[arch-commits] Commit in vim-project/repos (4 files)

Eric Bélanger eric at archlinux.org
Sun Apr 19 22:25:39 EDT 2009


    Date: Sunday, April 19, 2009 @ 22:25:39
  Author: eric
Revision: 36116

Merged revisions 356,36115 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/vim-project/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r36115 | eric | 2009-04-19 22:25:21 -0400 (Sun, 19 Apr 2009) | 2 lines
  
  upgpkg: vim-project 1.4.1-2
      Added license
........

Added:
  vim-project/repos/extra-x86_64/LICENSE
    (from rev 36115, vim-project/trunk/LICENSE)
Modified:
  vim-project/repos/extra-x86_64/	(properties)
  vim-project/repos/extra-x86_64/PKGBUILD
  vim-project/repos/extra-x86_64/vimdoc.install

----------------+
 LICENSE        |    7 +++++++
 PKGBUILD       |   19 +++++++++----------
 vimdoc.install |    5 -----
 3 files changed, 16 insertions(+), 15 deletions(-)


Property changes on: vim-project/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /vim-project/trunk:1
   + /vim-project/trunk:1-36115

Copied: vim-project/repos/extra-x86_64/LICENSE (from rev 36115, vim-project/trunk/LICENSE)
===================================================================
--- extra-x86_64/LICENSE	                        (rev 0)
+++ extra-x86_64/LICENSE	2009-04-20 02:25:39 UTC (rev 36116)
@@ -0,0 +1,7 @@
+"=============================================================================
+" File:        project.vim
+" Author:      Aric Blumer (Aric.Blumer at aricvim at charter.net)
+" Last Change: Fri 13 Oct 2006 09:47:08 AM EDT
+" Version:     1.4.1
+"=============================================================================
+" You may use this code in whatever way you see fit.

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-20 02:25:21 UTC (rev 36115)
+++ extra-x86_64/PKGBUILD	2009-04-20 02:25:39 UTC (rev 36116)
@@ -4,25 +4,24 @@
 pkgname=vim-project
 pkgver=1.4.1
 _scriptid=6273
-pkgrel=1
-pkgdesc="organize and navigate projects of files (like an ide/buffer explorer)"
+pkgrel=2
+pkgdesc="Organize and navigate projects of files (like an ide/buffer explorer)"
 arch=(i686 x86_64)
 url="http://www.vim.org/scripts/script.php?script_id=69"
+license=('custom')
 depends=(vim)
 groups=('vim-plugins')
 install=vimdoc.install
-source=(http://www.vim.org/scripts/download_script.php?src_id=$_scriptid)
-md5sums=('95ddb23f0e301a79e869c608a36637de')
+source=(http://www.vim.org/scripts/download_script.php?src_id=$_scriptid LICENSE)
+md5sums=('95ddb23f0e301a79e869c608a36637de' '64ab6c0d41d5153d51439913d23f71ae')
 
 build()
 {
-  cd $startdir/src
+  cd $srcdir
   mv download_script.php?src_id=$_scriptid project-${pkgver}.tar.gz
   tar xzf project-${pkgver}.tar.gz
 
-  mkdir -p $startdir/pkg/usr/share/vim/doc
-  install -m644 doc/project.txt $startdir/pkg/usr/share/vim/doc
-
-  mkdir -p $startdir/pkg/usr/share/vim/plugin
-  install -m644 plugin/project.vim $startdir/pkg/usr/share/vim/plugin
+  install -D -m644 doc/project.txt $pkgdir/usr/share/vim/doc/project.txt || return 1
+  install -D -m644 plugin/project.vim $pkgdir/usr/share/vim/plugin/project.vim || return 1
+  install -D -m644 LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE || return 1
 }

Modified: extra-x86_64/vimdoc.install
===================================================================
--- extra-x86_64/vimdoc.install	2009-04-20 02:25:21 UTC (rev 36115)
+++ extra-x86_64/vimdoc.install	2009-04-20 02:25:39 UTC (rev 36116)
@@ -12,8 +12,3 @@
 post_remove() {
   post_install
 }
-
-op=$1
-shift
-
-$op $*



More information about the arch-commits mailing list